Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706660 - sys-apps/dtc-1.5.0 : fails to build with -fno-common or gcc-10
Summary: sys-apps/dtc-1.5.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Luca Barbato
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:24 UTC by Toralf Förster
Modified: 2020-03-07 09:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.53 KB, text/plain)
2020-01-27 17:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,130.97 KB, text/plain)
2020-01-27 17:24 UTC, Toralf Förster
Details
environment (environment,76.65 KB, text/plain)
2020-01-27 17:25 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.02 KB, application/x-bzip)
2020-01-27 17:25 UTC, Toralf Förster
Details
sys-apps:dtc-1.5.0:20200127-030207.log (sys-apps:dtc-1.5.0:20200127-030207.log,18.89 KB, text/plain)
2020-01-27 17:25 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.71 KB, application/x-bzip)
2020-01-27 17:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:24:53 UTC
x86_64-pc-linux-gnu-gcc -I libfdt -I . -O2 -pipe -march=native -fno-common -fPIC  -Wall -Wpointer-arith -Wcast-qual -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow -DNO_VALGRIND -o yamltree.o -c yamltree.c
x86_64-pc-linux-gnu-gcc -I libfdt -I . -O2 -pipe -march=native -fno-common -fPIC  -Wall -Wpointer-arith -Wcast-qual -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow -DNO_VALGRIND -o dtc-lexer.lex.o -c dtc-lexer.lex.c
x86_64-pc-linux-gnu-gcc -I libfdt -I . -O2 -pipe -march=native -fno-common -fPIC  -Wall -Wpointer-arith -Wcast-qual -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow -DNO_VALGRIND -o dtc-parser.tab.o -c dtc-parser.tab.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -fPIC  -Wall -Wpointer-arith -Wcast-qual -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wshadow -DNO_VALGRIND -I libfdt -I . -Wl,-O1 -Wl,--as-needed  -o dtc dtc.o checks.o data.o flattree.o fstree.o livetree.o srcpos.o treesource.o util.o yamltree.o dtc-lexer.lex.o dtc-parser.tab.o -lyaml 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: dtc-parser.tab.o:(.bss+0x20): multiple definition of `yylloc'; dtc-lexer.lex.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 02:06:14 +0000

emerge -qpvO sys-apps/dtc
[ebuild  N    ] sys-apps/dtc-1.5.0  USE="-static-libs"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:24:56 UTC
Created attachment 605184 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:24:59 UTC
Created attachment 605186 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:25:02 UTC
Created attachment 605188 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:25:05 UTC
Created attachment 605190 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:25:07 UTC
Created attachment 605192 [details]
sys-apps:dtc-1.5.0:20200127-030207.log
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:25:10 UTC
Created attachment 605194 [details]
temp.tbz2
Comment 7 Sergei Trofimovich gentoo-dev 2020-02-26 11:19:11 UTC
Should be fixed upstream as https://git.kernel.org/pub/scm/utils/dtc/dtc.git/commit/?id=0e9225eb0dfec51def612b928d2f1836b092bc7e
Comment 8 Larry the Git Cow gentoo-dev 2020-03-07 09:39:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8401f22eb250e5c0d5c120d4f66e35ea89cf821

commit b8401f22eb250e5c0d5c120d4f66e35ea89cf821
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-03-07 09:34:15 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-03-07 09:39:06 +0000

    sys-apps/dtc: tweak for gcc-10, bug #706660
    
    Pull in upstream patch 0e9225eb0dfec5
    "Remove redundant YYLOC global declaration".
    
    Reported-by: Toralf Förster
    Closes: https://bugs.gentoo.org/706660
    Package-Manager: Portage-2.3.92, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-apps/dtc/dtc-1.5.0.ebuild             |  3 +-
 sys-apps/dtc/files/dtc-1.5.0-gcc-10.patch | 50 +++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 1 deletion(-)